%global realname certifi
%global upstream_reponame erlang-certifi


Name:     erlang-%{realname}
Version:  2.13.0
Release:  %mkrel 3
BuildArch: noarch
Summary:  Dummy certifi (certificate bundle) package for erlang
Group:    Development/Erlang
License:  BSD
URL:      https://github.com/certifi/erlang-certifi
Source0:  https://github.com/certifi/erlang-certifi/archive/%{version}/%{upstream_reponame}-%{version}.tar.gz
Patch0:   erlang-certifi-enforce_system_ca_bundle.patch
BuildRequires:  erlang-rebar3 sed erlang-parse_trans

%description
Upstream certifi provides a custom CA bundle to erlang. Since custom CA bundles
cannot be packaged in Fedora, this 'dummy' package patches certifi to point to
the default Fedora CA bundle.

%prep
%setup -q -n %{upstream_reponame}-%{version}
%patch -P 0 -p1

# Drop bundled rebar3
rm -rf rebar3

%build
#%%{erlang_compile}
%{_bindir}/rebar3 bare compile --paths ""
%install
%{erlang_install}

%files
%license LICENSE
%doc README.md
%{erlang_appdir}/



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.13.0-3.mga10
+ Revision: 2231600
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 2.13.0-2.mga10
+ Revision: 2127277
- Rebuild for patchN deprecation

* Wed Aug 28 2024 neoclust <neoclust> 2.13.0-1.mga10
+ Revision: 2091947
- New version 2.13.0

* Sun Oct 02 2022 neoclust <neoclust> 2.9.0-1.mga9
+ Revision: 1893828
- New version

* Sun Aug 15 2021 wally <wally> 2.7.0-1.mga9
+ Revision: 1741464
- new version 2.7.0
- switch to rebar3 build

* Sun Dec 20 2020 wally <wally> 2.5.2-1.mga8
+ Revision: 1661509
- new version 2.5.2
- update RPM group
- make pkg noarch

* Fri Feb 14 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1520447
- Mageia 8 Mass Rebuild

* Wed Nov 21 2018 wally <wally> 2.3.1-1.mga7
+ Revision: 1332932
- imported package erlang-certifi


* Sun Jul 15 2018 Timothée Floure <fnux@fedoraproject.org> - 2.3.1-1
- Let there be package
